Skip to content

List the courses of an App

GET
/apps/{appId}/courses
curl --request GET \
--url https://api.passion.io/v1/apps/example/courses
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/

OK

Media typeapplication/json
object
courses
required
Array<object>
object
id
required

The id of the course. Offers name a course by the same id.

string
name
required
string
summary
required
Any of:
string
state
required

A course is published when at least one offer gives access to it.

string
Allowed values: published unpublished
lessons
required
integer
>= -9007199254740991 <= 9007199254740991
offerIds
required

The offers that give access to the course.

Array<string>
Example
{
"courses": [
{
"state": "published"
}
]
}